module StackOverflow
  require 'nokogiri'
  require 'net/http'

  module ExtensionString
    refine String do
      def escape!
        self.tr!(' ', '+')
        URI.escape(self)
      end
    end
  end

  module Engine
    Native = :native
    Github = :github
    Engines = [Native, Github]
  end

  class InvalidSearchEngine < StandardError
  end
end

require_relative 'rstackoverflow/utils'
require_relative 'rstackoverflow/question'
